@import "../../styles/variables";
@import "../../styles/mixins";
.modal{
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.5);

  overflow: hidden;
  @include flexCenter(center);
  &__content {
    margin: 0 auto;
    //position: relative;
    overflow: hidden;
    @include flexCenter(center);
    height: 100vh;
    &__close-btn{
      position: absolute;
      top: 3%;
      right: 3%;
    }
  }
}

.modal-container{
  display: grid;
  width: 80%;
  height: 90%;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 0.1fr 1fr;
  background-color: $backgroundColorAside;
  &__header{
    grid-column: 2/3;
    grid-row: 1/2;
    @include flexCenter(space-between);
    padding: 16px 20px;
  }
  &__main{
    background-color: black;
    grid-column: 1/2;
    grid-row: 1/3;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    //height: 100%;
    & img{
      width: 100%;
    }
  }
  &__footer{
    padding: 20px;
    border-top: 1px solid $backgroundColor;
    width: 100%;
    grid-column: 2/3;
    grid-row: 2/3;
    display: grid;
    grid-template-rows: 1fr 0.3fr 0.1fr;
    max-height: 445px;
    &__icons-container{
      height: 10%;
      padding-top: 15px;
      grid-row: 2/3;
      @include flexCenter(space-between);
      align-items: flex-start;
      &__icons{
        width: 104px;
        height: 46px;
        @include flexCenter(space-between);
        align-items: flex-start;
      }
    }
    &__comments {
      grid-row: 1/2;
      font-size: 14px;
      color: $text-color;
      padding-bottom: 8px;
      border-bottom: 1px solid $backgroundColor;
      &__list{
        height: 375px;
        overflow-y: auto;
        & li{
          padding-bottom: 15px;
          & span{
            font-weight: normal;
          }
        }
        &__item{
          border-radius: 50%;
          width: 32px;
          height: 32px;
        }
      }
      &__showAll{
        color: $subtext-color;
        padding-bottom: 10px;
      }
      &__input{
        grid-row: 1/2;
        font-size: 12px;
        color: $subtext-color;
        border-top: 1px solid $backgroundColor;
      }
    }
    & form{
      text-align: left;
      padding: 10px;
    }
  }
}